clang 8.0.0

Public Member Functions | List of all members
clang::tooling::PathComparator Struct Referenceabstract

`#include "clang/Tooling/FileMatchTrie.h"`

## Public Member Functions
virtual | ~PathComparator ()=default
virtual bool | equivalent (StringRef FileA, StringRef FileB) const =0

## Detailed Description

Definition at line 27 of file FileMatchTrie.h.

## Constructor & Destructor Documentation

## ◆ ~PathComparator()

virtual clang::tooling::PathComparator::~PathComparator | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ equivalent()

virtual bool clang::tooling::PathComparator::equivalent | ( | StringRef | FileA,
|  | StringRef | FileB
| ) |  | const
| pure virtual

Referenced by clang::tooling::FileMatchTrieNode::findEquivalent().

The documentation for this struct was generated from the following file:

- include/clang/Tooling/FileMatchTrie.h